package com.company.jmix3.view.main;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.app.main.StandardMainView;
import io.jmix.flowui.kit.component.button.JmixButton;
import io.jmix.flowui.view.Subscribe;
import io.jmix.flowui.view.ViewComponent;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;

@Route("")
@ViewController("MainView")
@ViewDescriptor("main-view.xml")
public class MainView extends StandardMainView {
    @ViewComponent
    private JmixButton logoutButton;

    @Subscribe
    public void onBeforeShow(final BeforeShowEvent event) {
        logoutButton.setEnabled(false);
        logoutButton.setVisible(false);
    }


}
